public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-lang/mono/, dev-lang/mono/files/
@ 2015-12-09  8:47 Heather Cynede
  0 siblings, 0 replies; 4+ messages in thread
From: Heather Cynede @ 2015-12-09  8:47 UTC (permalink / raw
  To: gentoo-commits

commit:     a72ff4da91225f1a0281332fc157b39ced22e9ba
Author:     Heather Cynede <cynede <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  9 08:44:30 2015 +0000
Commit:     Heather Cynede <cynede <AT> gentoo <DOT> org>
CommitDate: Wed Dec  9 08:44:30 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a72ff4da

dev-lang/mono: bump to 4.2.1.102, fix GitExtensions issue

Package-Manager: portage-2.2.26

 dev-lang/mono/Manifest                             |   1 +
 .../files/fix-for-GitExtensions-issue-2710.patch   |  28 +++++
 dev-lang/mono/mono-4.2.1.102.ebuild                | 114 +++++++++++++++++++++
 3 files changed, 143 insertions(+)

diff --git a/dev-lang/mono/Manifest b/dev-lang/mono/Manifest
index 8f07bd3..6c6134e 100644
--- a/dev-lang/mono/Manifest
+++ b/dev-lang/mono/Manifest
@@ -2,3 +2,4 @@ DIST mono-2.10.9.tar.bz2 34038017 SHA256 541038cd4edd4a1c485638d49697d45015ef748
 DIST mono-3.12.1.tar.bz2 73487974 SHA256 5d8cf153af2948c06bc9fbf5088f6834868e4db8e5f41c7cff76da173732b60d SHA512 7ff87d95c347186347dc7a9ffb767112717de2b808f8f1b612c56c9eb70fdcc0c8f586989be44444509a2768e71854d8195567196c992cc2c5b184ecbe5ac190 WHIRLPOOL fe3a6cdb8bf4602ad1d1e43099b2a552005c315a232a7d2bddf0081a68e882228712af5301f18d3a890f454041c4a34d6f0926aaba34401ecfa702eecd9415c8
 DIST mono-4.0.3.20.tar.bz2 95987018 SHA256 976c0be3ab9b66361f48e8133c60b1b2942b88c44a7a11a19cd98f5ff64313fc SHA512 bbf65abb4d91aa65fd467a59dcc7c290f779ab9f8df9d82b56957893556ad8d13dc3cc85f3128145e0dd15aaa8b0ea872c4b66af4fd211243d368514f10a07cd WHIRLPOOL 9e7730c234dbf34a81637789a3ffee4ce37a1eaef6748f28a79875411d3c1d97cfbdce6146abfa7dde245e821fe52b2766bb7240637a8b8272788dffc5fd21ae
 DIST mono-4.0.5.1.tar.bz2 96533206 SHA256 c2f42944dded3196c6449f90e79990f1951070a361a0dcc2350fc56e945bc229 SHA512 c0783f7b2e344ca00ea354d2723821636a2594345f7e1fd93bf84e9ba1b5501848d4f49b1538279aac9f6f333d296394322e08a9749fe2208340104aa594cd09 WHIRLPOOL ae9b0758c019003fc9ecdbd051974d547c59c24a4505e71c1fc7db8095bc98cdb486405e2ba1794bfb34ecc6bebeb8b5165a97ba8f596897887eb7f2da806b89
+DIST mono-4.2.1.102.tar.bz2 96228604 SHA256 b7b461fe04375f621d88166ba8c6f1cb33c439fd3e17136460f7d087a51ed792 SHA512 ffc6bee387b5e46a22e74600a5e5c0c7953b63b4d2392586a7cce9e1d0f6eeaa81ba5b6abaf911870913e3749ff577474931a2c1ce16cab9a41a3b3dd745638e WHIRLPOOL eb605bbdfd411e181706ff3728cd1690385e1e899a11a41872bc015eca2d5ee1c3f46b24d7c3956eb0818aa0a3944d533f6f531ed8815c7b0988f130b592feb1

diff --git a/dev-lang/mono/files/fix-for-GitExtensions-issue-2710.patch b/dev-lang/mono/files/fix-for-GitExtensions-issue-2710.patch
new file mode 100644
index 0000000..3d60923
--- /dev/null
+++ b/dev-lang/mono/files/fix-for-GitExtensions-issue-2710.patch
@@ -0,0 +1,28 @@
+diff --git a/mcs/class/System/System.Configuration/SettingsPropertyValue.cs b/mcs/class/System/System.Configuration/SettingsPropertyValue.cs
+index 9bf62c0..9f026461 100644
+--- a/mcs/class/System/System.Configuration/SettingsPropertyValue.cs
++++ b/mcs/class/System/System.Configuration/SettingsPropertyValue.cs
+@@ -118,11 +118,18 @@ namespace System.Configuration
+ #if (XML_DEP)
+ 					case SettingsSerializeAs.Xml:
+ 						if (propertyValue != null) {
+-							XmlSerializer serializer = new XmlSerializer (propertyValue.GetType ());
+-							StringWriter w = new StringWriter(CultureInfo.InvariantCulture);
+-	
+-							serializer.Serialize (w, propertyValue);
+-							serializedValue = w.ToString();
++							using (StringWriter w = new StringWriter(CultureInfo.InvariantCulture))
++							{
++								var xmlSettings = new XmlWriterSettings();
++								xmlSettings.OmitXmlDeclaration = true;
++								using (var writer = XmlWriter.Create(w, xmlSettings))
++								{
++									XmlSerializer serializer = new XmlSerializer(propertyValue.GetType ());
++									var emptyNamespaces = new XmlSerializerNamespaces(new[] { XmlQualifiedName.Empty });
++									serializer.Serialize(writer, propertyValue, emptyNamespaces);
++								} // writer.Flush happens here
++								serializedValue = w.ToString();
++							}
+ 						}
+ 						else
+ 							serializedValue = null;

diff --git a/dev-lang/mono/mono-4.2.1.102.ebuild b/dev-lang/mono/mono-4.2.1.102.ebuild
new file mode 100644
index 0000000..d17c6a6
--- /dev/null
+++ b/dev-lang/mono/mono-4.2.1.102.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+AUTOTOOLS_PRUNE_LIBTOOL_FILES="all"
+AUTOTOOLS_AUTORECONF=1
+
+inherit eutils linux-info mono-env flag-o-matic pax-utils autotools-utils versionator
+
+DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
+HOMEPAGE="http://www.mono-project.com/Main_Page"
+SRC_URI="http://download.mono-project.com/sources/${PN}/${P}.tar.bz2"
+
+LICENSE="MIT LGPL-2.1 GPL-2 BSD-4 NPL-1.1 Ms-PL GPL-2-with-linking-exception IDPL"
+SLOT="0"
+
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux"
+
+IUSE="nls minimal pax_kernel xen doc"
+
+COMMONDEPEND="
+	!minimal? ( >=dev-dotnet/libgdiplus-2.10 )
+	ia64? ( sys-libs/libunwind )
+	nls? ( sys-devel/gettext )
+"
+RDEPEND="${COMMONDEPEND}
+	|| ( www-client/links www-client/lynx )
+"
+DEPEND="${COMMONDEPEND}
+	sys-devel/bc
+	virtual/yacc
+	pax_kernel? ( sys-apps/elfix )
+	!dev-lang/mono-basic
+"
+
+MAKEOPTS="${MAKEOPTS} -j1" #nowarn
+S="${WORKDIR}/${PN}-$(get_version_component_range 1-3)"
+
+pkg_pretend() {
+	# If CONFIG_SYSVIPC is not set in your kernel .config, mono will hang while compiling.
+	# See http://bugs.gentoo.org/261869 for more info."
+	CONFIG_CHECK="SYSVIPC"
+	use kernel_linux && check_extra_config
+}
+
+pkg_setup() {
+	linux-info_pkg_setup
+	mono-env_pkg_setup
+}
+
+src_prepare() {
+	# we need to sed in the paxctl-ng -mr in the runtime/mono-wrapper.in so it don't
+	# get killed in the build proces when MPROTEC is enable. #286280
+	# RANDMMAP kill the build proces to #347365
+	if use pax_kernel ; then
+		ewarn "We are disabling MPROTECT on the mono binary."
+
+		# issue 9 : https://github.com/Heather/gentoo-dotnet/issues/9
+		sed '/exec "/ i\paxctl-ng -mr "$r/@mono_runtime@"' -i "${S}"/runtime/mono-wrapper.in || die "Failed to sed mono-wrapper.in"
+	fi
+
+	# mono build system can fail otherwise
+	strip-flags
+
+	# Fix VB targets
+	# http://osdir.com/ml/general/2015-05/msg20808.html
+	epatch "${FILESDIR}/add_missing_vb_portable_targets.patch"
+
+	# Fix build when sgen disabled
+	# https://bugzilla.xamarin.com/show_bug.cgi?id=32015
+	epatch "${FILESDIR}/${PN}-4.0.2.5-fix-mono-dis-makefile-am-when-without-sgen.patch"
+
+	# Fix atomic_add_i4 support for 32-bit ppc
+	# https://github.com/mono/mono/compare/f967c79926900343f399c75624deedaba460e544^...8f379f0c8f98493180b508b9e68b9aa76c0c5bdf
+	epatch "${FILESDIR}/${PN}-4.0.2.5-fix-ppc-atomic-add-i4.patch"
+
+	autotools-utils_src_prepare
+
+	epatch "${FILESDIR}/systemweb3.patch"
+	epatch "${FILESDIR}/fix-for-GitExtensions-issue-2710.patch"
+}
+
+src_configure() {
+	local myeconfargs=(
+		--disable-silent-rules
+		$(use_with xen xen_opt)
+		--without-ikvm-native
+		--disable-dtrace
+		$(use_with doc mcs-docs)
+		$(use_enable nls)
+	)
+
+	autotools-utils_src_configure
+}
+
+src_compile() {
+	autotools-utils_src_compile
+}
+
+src_test() {
+	cd mcs/tests || die
+	emake check
+}
+
+src_install() {
+	autotools-utils_src_install
+
+	# Remove files not respecting LDFLAGS and that we are not supposed to provide, see Fedora
+	# mono.spec and http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
+	# for reference.
+	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
+	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/mono/, dev-lang/mono/files/
@ 2015-12-28  8:00 Heather Cynede
  0 siblings, 0 replies; 4+ messages in thread
From: Heather Cynede @ 2015-12-28  8:00 UTC (permalink / raw
  To: gentoo-commits

commit:     bc6bb6ffcb35cc40990250d1f5d1888803ca2172
Author:     Heather Cynede <cynede <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 28 07:56:08 2015 +0000
Commit:     Heather Cynede <cynede <AT> gentoo <DOT> org>
CommitDate: Mon Dec 28 07:56:49 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc6bb6ff

dev-lang/mono: mono 4.2.2.10 patch corrections

Package-Manager: portage-2.2.26

 ...tExtensions-issue-2710-another-resolution.patch |  48 +++++++++
 dev-lang/mono/mono-4.2.2.10-r1.ebuild              | 116 +++++++++++++++++++++
 2 files changed, 164 insertions(+)

diff --git a/dev-lang/mono/files/fix-for-GitExtensions-issue-2710-another-resolution.patch b/dev-lang/mono/files/fix-for-GitExtensions-issue-2710-another-resolution.patch
new file mode 100644
index 0000000..b306b69
--- /dev/null
+++ b/dev-lang/mono/files/fix-for-GitExtensions-issue-2710-another-resolution.patch
@@ -0,0 +1,48 @@
+diff --git a/mcs/class/System/System.Configuration/CustomizableFileSettingsProvider.cs b/mcs/class/System/System.Configuration/CustomizableFileSettingsProvider.cs
+index 4b69010..1bb6195 100644
+--- a/mcs/class/System/System.Configuration/CustomizableFileSettingsProvider.cs
++++ b/mcs/class/System/System.Configuration/CustomizableFileSettingsProvider.cs
+@@ -578,6 +578,34 @@ namespace System.Configuration
+ 		private ExeConfigurationFileMap exeMapPrev = null;
+ 		private SettingsPropertyValueCollection values = null;
+ 
++		/// <remarks>
++		/// Hack to remove the XmlDeclaration that the XmlSerializer adds.
++		/// <br />
++		/// see <a href="https://github.com/mono/mono/pull/2273">Issue 2273</a> for details
++		/// </remarks>
++		private string StripXmlHeader(string serializedValue)
++		{
++			if (serializedValue == null)
++			{
++				return string.Empty;
++			}
++
++			XmlDocument doc = new XmlDocument();
++			XmlElement valueXml = doc.CreateElement("value");
++			valueXml.InnerXml = serializedValue;
++
++			foreach (XmlNode child in valueXml.ChildNodes) {
++				if (child.NodeType == XmlNodeType.XmlDeclaration) {
++					valueXml.RemoveChild(child);
++					break;
++				}
++			}
++
++			// InnerXml will give you well-formed XML that you could save as a separate document, and 
++			// InnerText will immediately give you a pure-text representation of this inner XML.
++			return valueXml.InnerXml;
++		}
++
+ 		private void SaveProperties (ExeConfigurationFileMap exeMap, SettingsPropertyValueCollection collection, ConfigurationUserLevel level, SettingsContext context, bool checkUserLevel)
+ 		{
+ 			Configuration config = ConfigurationManager.OpenMappedExeConfiguration (exeMap, level);
+@@ -623,7 +651,7 @@ namespace System.Configuration
+ 					element.Value.ValueXml = new XmlDocument ().CreateElement ("value");
+ 				switch (value.Property.SerializeAs) {
+ 				case SettingsSerializeAs.Xml:
+-					element.Value.ValueXml.InnerXml = (value.SerializedValue as string) ?? string.Empty;
++					element.Value.ValueXml.InnerXml = StripXmlHeader(value.SerializedValue as string);
+ 					break;
+ 				case SettingsSerializeAs.String:
+ 					element.Value.ValueXml.InnerText = value.SerializedValue as string;

diff --git a/dev-lang/mono/mono-4.2.2.10-r1.ebuild b/dev-lang/mono/mono-4.2.2.10-r1.ebuild
new file mode 100644
index 0000000..677210a
--- /dev/null
+++ b/dev-lang/mono/mono-4.2.2.10-r1.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+AUTOTOOLS_PRUNE_LIBTOOL_FILES="all"
+AUTOTOOLS_AUTORECONF=1
+
+inherit eutils linux-info mono-env flag-o-matic pax-utils autotools-utils versionator
+
+DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
+HOMEPAGE="http://www.mono-project.com/Main_Page"
+SRC_URI="http://download.mono-project.com/sources/${PN}/${P}.tar.bz2"
+
+LICENSE="MIT LGPL-2.1 GPL-2 BSD-4 NPL-1.1 Ms-PL GPL-2-with-linking-exception IDPL"
+SLOT="0"
+
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux"
+
+IUSE="nls minimal pax_kernel xen doc"
+
+COMMONDEPEND="
+	!minimal? ( >=dev-dotnet/libgdiplus-2.10 )
+	ia64? ( sys-libs/libunwind )
+	nls? ( sys-devel/gettext )
+"
+RDEPEND="${COMMONDEPEND}
+	|| ( www-client/links www-client/lynx )
+"
+DEPEND="${COMMONDEPEND}
+	sys-devel/bc
+	virtual/yacc
+	pax_kernel? ( sys-apps/elfix )
+	!dev-lang/mono-basic
+"
+
+MAKEOPTS="${MAKEOPTS} -j1" #nowarn
+S="${WORKDIR}/${PN}-$(get_version_component_range 1-3)"
+
+pkg_pretend() {
+	# If CONFIG_SYSVIPC is not set in your kernel .config, mono will hang while compiling.
+	# See http://bugs.gentoo.org/261869 for more info."
+	CONFIG_CHECK="SYSVIPC"
+	use kernel_linux && check_extra_config
+}
+
+pkg_setup() {
+	linux-info_pkg_setup
+	mono-env_pkg_setup
+}
+
+src_prepare() {
+	# we need to sed in the paxctl-ng -mr in the runtime/mono-wrapper.in so it don't
+	# get killed in the build proces when MPROTECT is enable. #286280
+	# RANDMMAP kill the build proces to #347365
+	# use paxmark.sh to get PT/XT logic #532244
+	if use pax_kernel ; then
+		ewarn "We are disabling MPROTECT on the mono binary."
+
+		# issue 9 : https://github.com/Heather/gentoo-dotnet/issues/9
+		sed '/exec "/ i\paxmark.sh -mr "$r/@mono_runtime@"' -i "${S}"/runtime/mono-wrapper.in || die "Failed to sed mono-wrapper.in"
+	fi
+
+	# mono build system can fail otherwise
+	strip-flags
+
+	# Fix VB targets
+	# http://osdir.com/ml/general/2015-05/msg20808.html
+	epatch "${FILESDIR}/add_missing_vb_portable_targets.patch"
+
+	# Fix build when sgen disabled
+	# https://bugzilla.xamarin.com/show_bug.cgi?id=32015
+	epatch "${FILESDIR}/${PN}-4.0.2.5-fix-mono-dis-makefile-am-when-without-sgen.patch"
+
+	# Fix atomic_add_i4 support for 32-bit ppc
+	# https://github.com/mono/mono/compare/f967c79926900343f399c75624deedaba460e544^...8f379f0c8f98493180b508b9e68b9aa76c0c5bdf
+	epatch "${FILESDIR}/${PN}-4.0.2.5-fix-ppc-atomic-add-i4.patch"
+
+	epatch "${FILESDIR}/systemweb3.patch"
+	epatch "${FILESDIR}/fix-for-GitExtensions-issue-2710-another-resolution.patch"
+	epatch "${FILESDIR}/fix-for-bug36724.patch"
+
+	autotools-utils_src_prepare
+}
+
+src_configure() {
+	local myeconfargs=(
+		--disable-silent-rules
+		$(use_with xen xen_opt)
+		--without-ikvm-native
+		--disable-dtrace
+		$(use_with doc mcs-docs)
+		$(use_enable nls)
+	)
+
+	autotools-utils_src_configure
+}
+
+src_compile() {
+	autotools-utils_src_compile
+}
+
+src_test() {
+	cd mcs/tests || die
+	emake check
+}
+
+src_install() {
+	autotools-utils_src_install
+
+	# Remove files not respecting LDFLAGS and that we are not supposed to provide, see Fedora
+	# mono.spec and http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
+	# for reference.
+	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
+	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/mono/, dev-lang/mono/files/
@ 2017-12-20 10:49 Mikhail Pukhlikov
  0 siblings, 0 replies; 4+ messages in thread
From: Mikhail Pukhlikov @ 2017-12-20 10:49 UTC (permalink / raw
  To: gentoo-commits

commit:     b01d2822b5096e05c6cc7b27c97eb9d47997751b
Author:     Mikhail Pukhlikov <cynede <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 20 10:48:33 2017 +0000
Commit:     Mikhail Pukhlikov <cynede <AT> gentoo <DOT> org>
CommitDate: Wed Dec 20 10:48:55 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b01d2822

dev-lang/mono: version bump to 5.4.1.6

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-lang/mono/Manifest                        |   1 +
 dev-lang/mono/files/mono-5.0.1.1-x86_32.patch |  21 +++++
 dev-lang/mono/mono-5.4.1.6.ebuild             | 110 ++++++++++++++++++++++++++
 3 files changed, 132 insertions(+)

diff --git a/dev-lang/mono/Manifest b/dev-lang/mono/Manifest
index 0f88d1fa42d..c35a5d0dc77 100644
--- a/dev-lang/mono/Manifest
+++ b/dev-lang/mono/Manifest
@@ -4,3 +4,4 @@ DIST mono-4.6.1.5.tar.bz2 83174665 BLAKE2B ce4586af882c6592d1615156d009e496b8405
 DIST mono-4.8.0.425.tar.bz2 87955541 BLAKE2B dd3c7d26d9818c0512ddbbea6c0980ce5411904c93d5aff8aef581016268594ea1a887dc51332afc225db25d735ef3ef379a5f7b72acd95892e9efe399fb9df9 SHA512 7bab64adbebc277d3fc10301fa6af6cd64ea0836e2d74dfdd9b59684d9402689f9a4e397f3d36f519c7a892c14dcf8f8867d40a5119891874dfd10f9bbce2ac4
 DIST mono-4.8.0.495.tar.bz2 87540431 BLAKE2B c067054c27e61fbd46cae962876afdf65fa4660db41482a7931436009d986ffd25cd9120f9d61f1db5e16b95423fb6cb81abf6be8eada408a9ed2e812f112e6d SHA512 0052b7b04ae25e7cb5970d742369b74c83a10c6c82da591e8d26ad9e13e8b2590a1cde27ca99e43aebc622c7a2a590b9e6c7ce519ac4185b0b6cf7134527cc9d
 DIST mono-4.8.0.524.tar.bz2 87392723 BLAKE2B ac17c3da6d6c08c4cb72c4fa300ded92625bd8c14c1e45ea9539efa42c8d085759f7bb298fe5df57bd41f18abf83f293d26a9e6272944933fcff0a3c16a7e4f3 SHA512 eb77b768a4a26e6a2a872f4845769cdc83f01af3377ecd6d932437d2a1b54bfd1ce727563906146195a54997b4b624fb75449a6f0bcfe818cbc4e6544841bf2b
+DIST mono-5.4.1.6.tar.bz2 204934321 BLAKE2B 7aa3450a9bc4033f8084c4271b215af636e0df72d6349c97e0acd110d91e276d22b735d19bac2fb1e995ec34fa9e041831358a01d5c098b9c5e8b567d98350fe SHA512 d3618e9f127bc95b15feba5bf73317574872208770d83b8b545a9888df81a629e6fb14160db8a38526ffeb005f682e8dd9b8ced84bdb0cbb36dc9e7b28c240a4

diff --git a/dev-lang/mono/files/mono-5.0.1.1-x86_32.patch b/dev-lang/mono/files/mono-5.0.1.1-x86_32.patch
new file mode 100644
index 00000000000..08d443a2203
--- /dev/null
+++ b/dev-lang/mono/files/mono-5.0.1.1-x86_32.patch
@@ -0,0 +1,21 @@
+Native toolchain can default to different ABI (amd64 in bug case).
+Set target to i386.
+https://bugs.gentoo.org/600664
+diff --git a/mono/mini/aot-compiler.c b/mono/mini/aot-compiler.c
+index 0656a57..690c96b 100644
+--- a/mono/mini/aot-compiler.c
++++ b/mono/mini/aot-compiler.c
+@@ -9926,4 +9926,6 @@ compile_asm (MonoAotCompile *acfg)
+ #ifdef TARGET_WIN32_MSVC
+ #define AS_OPTIONS "-c -x assembler"
++#elif defined(TARGET_X86) && !defined(TARGET_MACH)
++#define AS_OPTIONS "--32"
+ #elif defined(TARGET_AMD64) && !defined(TARGET_MACH)
+ #define AS_OPTIONS "--64"
+@@ -9981,4 +9983,6 @@ compile_asm (MonoAotCompile *acfg)
+ #elif defined(TARGET_POWERPC64)
+ #define LD_OPTIONS "-m elf64ppc"
++#elif defined(TARGET_X86)
++#define LD_OPTIONS "-m elf_i386"
+ #endif
+ 

diff --git a/dev-lang/mono/mono-5.4.1.6.ebuild b/dev-lang/mono/mono-5.4.1.6.ebuild
new file mode 100644
index 00000000000..f25dd8d9138
--- /dev/null
+++ b/dev-lang/mono/mono-5.4.1.6.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools eutils linux-info mono-env flag-o-matic pax-utils versionator multilib-minimal
+
+DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
+HOMEPAGE="http://www.mono-project.com/Main_Page"
+SRC_URI="http://download.mono-project.com/sources/${PN}/${P}.tar.bz2"
+
+LICENSE="MIT LGPL-2.1 GPL-2 BSD-4 NPL-1.1 Ms-PL GPL-2-with-linking-exception IDPL"
+SLOT="0"
+
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~arm64"
+
+IUSE="nls minimal pax_kernel xen doc"
+
+COMMONDEPEND="
+	!minimal? ( >=dev-dotnet/libgdiplus-2.10 )
+	ia64? ( sys-libs/libunwind )
+	nls? ( sys-devel/gettext )
+"
+RDEPEND="${COMMONDEPEND}
+	|| ( www-client/links www-client/lynx )
+"
+DEPEND="${COMMONDEPEND}
+	sys-devel/bc
+	virtual/yacc
+	pax_kernel? ( sys-apps/elfix )
+	dev-util/cmake
+	!dev-lang/mono-basic
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-5.0.1.1-x86_32.patch
+)
+
+#S="${WORKDIR}/${PN}-$(get_version_component_range 1-3)"
+
+pkg_pretend() {
+	linux-info_pkg_setup
+	if use kernel_linux; then
+		if linux_config_exists; then
+			linux_chkconfig_builtin SYSVIPC || die "SYSVIPC not enabled in the kernel"
+		else
+			# https://github.com/gentoo/gentoo/blob/f200e625bda8de696a28338318c9005b69e34710/eclass/linux-info.eclass#L686
+			ewarn "kernel config not found"
+			ewarn "If CONFIG_SYSVIPC is not set in your kernel .config, mono will hang while compiling."
+			ewarn "See https://bugs.gentoo.org/261869 for more info."
+		fi
+	fi
+}
+
+pkg_setup() {
+	mono-env_pkg_setup
+}
+
+src_prepare() {
+	# we need to sed in the paxctl-ng -mr in the runtime/mono-wrapper.in so it don't
+	# get killed in the build proces when MPROTECT is enable. #286280
+	# RANDMMAP kill the build proces to #347365
+	# use paxmark.sh to get PT/XT logic #532244
+	if use pax_kernel ; then
+		ewarn "We are disabling MPROTECT on the mono binary."
+
+		# issue 9 : https://github.com/Heather/gentoo-dotnet/issues/9
+		sed '/exec "/ i\paxmark.sh -mr "$r/@mono_runtime@"' -i "${S}"/runtime/mono-wrapper.in || die "Failed to sed mono-wrapper.in"
+	fi
+
+	# mono build system can fail otherwise
+	strip-flags
+
+	#TODO: resolve problem with newer binutils
+	#bug: https://bugs.gentoo.org/show_bug.cgi?id=600664
+	#append-flags -fPIC
+
+	default
+	# PATCHES contains configure.ac patch
+	eautoreconf
+	multilib_copy_sources
+}
+
+multilib_src_configure() {
+	local myeconfargs=(
+		--disable-silent-rules
+		$(use_with xen xen_opt)
+		--without-ikvm-native
+		--disable-dtrace
+		$(use_with doc mcs-docs)
+		$(use_enable nls)
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+multilib_src_test() {
+	cd mcs/tests || die
+	emake check
+}
+
+multilib_src_install() {
+	default_src_install
+
+	# Remove files not respecting LDFLAGS and that we are not supposed to provide, see Fedora
+	# mono.spec and http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
+	# for reference.
+	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
+	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/mono/, dev-lang/mono/files/
@ 2020-05-16 21:28 David Seifert
  0 siblings, 0 replies; 4+ messages in thread
From: David Seifert @ 2020-05-16 21:28 UTC (permalink / raw
  To: gentoo-commits

commit:     820c5cf2b1a03bca290fa9044e2fed4981844141
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat May 16 21:27:03 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat May 16 21:27:03 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=820c5cf2

dev-lang/mono: Remove old

Closes: https://bugs.gentoo.org/468412
Closes: https://bugs.gentoo.org/548340
Closes: https://bugs.gentoo.org/634692
Closes: https://bugs.gentoo.org/661270
Closes: https://bugs.gentoo.org/663608
Closes: https://bugs.gentoo.org/687950
Closes: https://bugs.gentoo.org/689332
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-lang/mono/Manifest                           |   8 --
 dev-lang/mono/files/mono-4.4.1.0-x86_32.patch    |  20 ----
 dev-lang/mono/files/mono-4.8.0.371-makedev.patch |  34 -------
 dev-lang/mono/files/mono-4.8.0.371-x86_32.patch  |  27 ------
 dev-lang/mono/mono-4.4.1.0.ebuild                | 113 -----------------------
 dev-lang/mono/mono-4.8.0.524.ebuild              | 109 ----------------------
 dev-lang/mono/mono-5.14.0.177.ebuild             | 107 ---------------------
 dev-lang/mono/mono-5.16.0.220.ebuild             | 108 ----------------------
 dev-lang/mono/mono-5.18.1.0.ebuild               | 103 ---------------------
 dev-lang/mono/mono-5.20.1.19-r1.ebuild           | 109 ----------------------
 dev-lang/mono/mono-6.0.0.334.ebuild              | 105 ---------------------
 dev-lang/mono/mono-6.4.0.198.ebuild              | 105 ---------------------
 12 files changed, 948 deletions(-)

diff --git a/dev-lang/mono/Manifest b/dev-lang/mono/Manifest
index 3e60dad04dc..4cb35e69183 100644
--- a/dev-lang/mono/Manifest
+++ b/dev-lang/mono/Manifest
@@ -1,9 +1 @@
-DIST mono-4.4.1.0.tar.bz2 85897587 BLAKE2B 79651189e696aa7352704e1ac659302423b1212c88337da8d522aad8e8a49855b74c43020f506b3455ce1a99566e96ae464fecced584b14470d0c8dfe605c5b6 SHA512 d9b6c57c2d9327ea551083b81a2e6cc222ded9a04862056b0dfded1c5df56efbfc4960097df034595012231fe50d172174ab7b3e3f2d8c4c6953ab2106b1cb6a
-DIST mono-4.8.0.524.tar.bz2 87392723 BLAKE2B ac17c3da6d6c08c4cb72c4fa300ded92625bd8c14c1e45ea9539efa42c8d085759f7bb298fe5df57bd41f18abf83f293d26a9e6272944933fcff0a3c16a7e4f3 SHA512 eb77b768a4a26e6a2a872f4845769cdc83f01af3377ecd6d932437d2a1b54bfd1ce727563906146195a54997b4b624fb75449a6f0bcfe818cbc4e6544841bf2b
-DIST mono-5.14.0.177.tar.bz2 219729440 BLAKE2B c21af7f541e5fcd456faeaf654ded7937da5241feb94b0de464a880915d758791ff7a645dbcb4023e7cced7ab0854bb8da0cc246abc6ab575bb278aa58fdc8c7 SHA512 f13afbe4289e177705642f79f4236710bdc8db8e956782c5370baf22207d6713f7997ec286c7742416c8206d2da205f295437d1afcdc430628d13e32f0e87d2d
-DIST mono-5.16.0.220.tar.bz2 231487021 BLAKE2B e5154c5e356bc277a8809471e5bf8a87092224f54f08535d9860229040bdd3fec304404b893ddd36253f58b351e7023ce9649521a0e850fabfefb3e6700473c1 SHA512 f5266b28747dd7735acb047e1d7a3660d9984126e518885babba6cce5b8dd9959134f7b5c6cd79309b4fb1feaf9af9d0015fdbc2d4bd088928a279b5c1dcefb3
-DIST mono-5.18.1.0.tar.bz2 246472409 BLAKE2B 15cc6cf3700b52ed36836cc4c7c46c2780bb67659dad95fb552d4e3dd362ec1dae362ef054e3db58adc4262bb3f3b6ea11d53a505e57ccf125865337996440bd SHA512 3df43887751e7f73d516d0e2fe5c412542beaa949727135e3ef1b3e538ca1d8062c55d5394f1c01cece857ed8064b6f37984e46108160fae7623b9d0a48cd380
-DIST mono-5.20.1.19.tar.bz2 246790204 BLAKE2B 02e2f60394470a2dd24822b956a84fca78153d5c700118591d26f25c5a471204ed5d0220f8a3d894ab9f85b07f7af751dbe27831a75001546b42d6533b1cefa7 SHA512 498fffc70c524cf21477196b6fdc3c5d03a719098c0a0ca40c29e239588675ddc0538659e4119171316f8f35555fcd42390d474dff0b795bf67188bc34a35ae0
-DIST mono-6.0.0.334.tar.xz 219726296 BLAKE2B 42223f5d26fea5decaf228ffdf96166083d68d2ab4b7e983ceb2ebf7f43c372e73f7923fd38e606aafb9aa79ed04d151716a0029d396ca4a5499fa80244ae9a8 SHA512 7ac473b548f8309cdd781092f786967d2c6f1e3b7ff2da384427d98277456becf1c73cbc488261d48938de1b6d26043c09b0f3fd8d93f8be7d83805dd0f18708
-DIST mono-6.4.0.198.tar.xz 230056560 BLAKE2B 725ac790e235569837052e54f2cfa603ea8212e956f11ac8a5feb692bc41ed7e5de37c90a150e95624e41763e7b85496090a426e0dccb378dbb6836e6bf73a6f SHA512 2804f1a2e10de683230fc77684b9f795259e4d494e819afd3c9cf247bed20cac2b7f80612eccc8af619158d077447989784e9f2e56fc741bf601894b1969600d
 DIST mono-6.6.0.161.tar.xz 241179396 BLAKE2B 88cb0599cd5698500431dc8a78fa3b44a148bdc11d3067e950f0019c6bbeff9ebf2142e90f3b1023721c982fc4a59605ee969d84ee2137f968dee66b1ea0b55c SHA512 0b0c72daef9e1c10c0d566292997d4a923766390793ec1196a063b885e853b47a12503238632879cf7397f03b34909137e24c53db9300a4f209164e973284186

diff --git a/dev-lang/mono/files/mono-4.4.1.0-x86_32.patch b/dev-lang/mono/files/mono-4.4.1.0-x86_32.patch
deleted file mode 100644
index 751c057e6ce..00000000000
--- a/dev-lang/mono/files/mono-4.4.1.0-x86_32.patch
+++ /dev/null
@@ -1,20 +0,0 @@
-Native toolchain can default to different ABI (amd64 in bug case).
-Set target to i386.
-https://bugs.gentoo.org/600664
-diff -Naur a/mono/mini/aot-compiler.c b/mono/mini/aot-compiler.c
---- a/mono/mini/aot-compiler.c	2016-06-22 04:31:58.000000000 -0500
-+++ b/mono/mini/aot-compiler.c	2017-12-08 14:25:35.338251941 -0600
-@@ -9438,7 +9438,12 @@
- 	const char *tool_prefix = acfg->aot_opts.tool_prefix ? acfg->aot_opts.tool_prefix : "";
- 	char *ld_flags = acfg->aot_opts.ld_flags ? acfg->aot_opts.ld_flags : g_strdup("");
- 
--#if defined(TARGET_AMD64) && !defined(TARGET_MACH)
-+#if defined(TARGET_X86)
-+#define LD_OPTIONS "-m elf_i386"
-+#if !defined(TARGET_MACH)
-+#define AS_OPTIONS "--32"
-+#endif
-+#elif defined(TARGET_AMD64) && !defined(TARGET_MACH)
- #define AS_OPTIONS "--64"
- #elif defined(TARGET_POWERPC64)
- #define AS_OPTIONS "-a64 -mppc64"

diff --git a/dev-lang/mono/files/mono-4.8.0.371-makedev.patch b/dev-lang/mono/files/mono-4.8.0.371-makedev.patch
deleted file mode 100644
index 7a4a44b3e72..00000000000
--- a/dev-lang/mono/files/mono-4.8.0.371-makedev.patch
+++ /dev/null
@@ -1,34 +0,0 @@
-https://bugs.gentoo.org/575232
-diff --git a/configure.ac b/configure.ac
-index fa5977b..2832c69 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -416,6 +416,10 @@ AC_HEADER_STDC
- AC_LIBTOOL_WIN32_DLL
- # This causes monodis to not link correctly
- #AC_DISABLE_FAST_INSTALL
-+
-+#lookup makedev() header
-+AC_HEADER_MAJOR
-+
- AM_PROG_LIBTOOL
- # Use dolt (http://dolt.freedesktop.org/) instead of libtool for building.
- DOLT
-diff --git a/mono/io-layer/processes.c b/mono/io-layer/processes.c
-index 53c271a..7ff8d03 100644
---- a/mono/io-layer/processes.c
-+++ b/mono/io-layer/processes.c
-@@ -45,6 +45,13 @@
- #include <utime.h>
- #endif
- 
-+/* makedev() macro */
-+#ifdef MAJOR_IN_MKDEV
-+#include <sys/mkdev.h>
-+#elif defined MAJOR_IN_SYSMACROS
-+#include <sys/sysmacros.h>
-+#endif
-+
- /* sys/resource.h (for rusage) is required when using osx 10.3 (but not 10.4) */
- #ifdef __APPLE__
- #include <TargetConditionals.h>

diff --git a/dev-lang/mono/files/mono-4.8.0.371-x86_32.patch b/dev-lang/mono/files/mono-4.8.0.371-x86_32.patch
deleted file mode 100644
index 063ea634fa4..00000000000
--- a/dev-lang/mono/files/mono-4.8.0.371-x86_32.patch
+++ /dev/null
@@ -1,27 +0,0 @@
-Native toolchain can default to different ABI (amd64 in bug case).
-Set target to i386.
-https://bugs.gentoo.org/600664
-diff --git a/mono/mini/aot-compiler.c b/mono/mini/aot-compiler.c
-index a1c359f..beaaf76 100644
---- a/mono/mini/aot-compiler.c
-+++ b/mono/mini/aot-compiler.c
-@@ -9842,7 +9842,9 @@ compile_asm (MonoAotCompile *acfg)
- 	const char *tool_prefix = acfg->aot_opts.tool_prefix ? acfg->aot_opts.tool_prefix : "";
- 	char *ld_flags = acfg->aot_opts.ld_flags ? acfg->aot_opts.ld_flags : g_strdup("");
- 
--#if defined(TARGET_AMD64) && !defined(TARGET_MACH)
-+#if defined(TARGET_X86) && !defined(TARGET_MACH)
-+#define AS_OPTIONS "--32"
-+#elif defined(TARGET_AMD64) && !defined(TARGET_MACH)
- #define AS_OPTIONS "--64"
- #elif defined(TARGET_POWERPC64)
- #define AS_OPTIONS "-a64 -mppc64"
-@@ -9886,6 +9888,8 @@ compile_asm (MonoAotCompile *acfg)
- #define LD_OPTIONS "--shared"
- #elif defined(TARGET_POWERPC64)
- #define LD_OPTIONS "-m elf64ppc"
-+#elif defined(TARGET_X86)
-+#define LD_OPTIONS "-m elf_i386"
- #endif
- 
- #ifndef LD_OPTIONS

diff --git a/dev-lang/mono/mono-4.4.1.0.ebuild b/dev-lang/mono/mono-4.4.1.0.ebuild
deleted file mode 100644
index a977985bffb..00000000000
--- a/dev-lang/mono/mono-4.4.1.0.ebuild
+++ /dev/null
@@ -1,113 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit eutils linux-info mono-env flag-o-matic pax-utils versionator multilib-minimal
-
-DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
-HOMEPAGE="https://www.mono-project.com/Main_Page"
-SRC_URI="https://download.mono-project.com/sources/${PN}/${P}.tar.bz2"
-
-LICENSE="MIT LGPL-2.1 GPL-2 BSD-4 NPL-1.1 Ms-PL GPL-2-with-linking-exception IDPL"
-SLOT="0"
-
-KEYWORDS="amd64 ppc ~ppc64 x86 ~amd64-linux"
-
-IUSE="nls minimal pax_kernel xen doc"
-
-COMMONDEPEND="
-	!minimal? ( >=dev-dotnet/libgdiplus-2.10 )
-	ia64? ( sys-libs/libunwind )
-	nls? ( sys-devel/gettext )
-"
-RDEPEND="${COMMONDEPEND}
-	|| ( www-client/links www-client/lynx )
-"
-DEPEND="${COMMONDEPEND}
-	sys-devel/bc
-	virtual/yacc
-	pax_kernel? ( sys-apps/elfix )
-"
-
-S="${WORKDIR}/${PN}-$(get_version_component_range 1-3)"
-
-pkg_pretend() {
-	# https://github.com/gentoo/gentoo/blob/f200e625bda8de696a28338318c9005b69e34710/eclass/linux-info.eclass#L686
-	# If CONFIG_SYSVIPC is not set in your kernel .config, mono will hang while compiling.
-	# See http://bugs.gentoo.org/261869 for more info."
-	CONFIG_CHECK="SYSVIPC"
-	use kernel_linux && check_extra_config
-}
-
-pkg_setup() {
-	linux-info_pkg_setup
-	mono-env_pkg_setup
-}
-
-src_prepare() {
-	# we need to sed in the paxctl-ng -mr in the runtime/mono-wrapper.in so it don't
-	# get killed in the build proces when MPROTECT is enable. #286280
-	# RANDMMAP kill the build proces to #347365
-	# use paxmark.sh to get PT/XT logic #532244
-	if use pax_kernel ; then
-		ewarn "We are disabling MPROTECT on the mono binary."
-
-		# issue 9 : https://github.com/Heather/gentoo-dotnet/issues/9
-		sed '/exec "/ i\paxmark.sh -mr "$r/@mono_runtime@"' -i "${S}"/runtime/mono-wrapper.in || die "Failed to sed mono-wrapper.in"
-	fi
-
-	# mono build system can fail otherwise
-	strip-flags
-
-	# Fix VB targets
-	# http://osdir.com/ml/general/2015-05/msg20808.html
-	#eapply "${FILESDIR}/add_missing_vb_portable_targets.patch"
-
-	# Fix build when sgen disabled
-	# https://bugzilla.xamarin.com/show_bug.cgi?id=32015
-	#eapply "${FILESDIR}/${PN}-4.0.2.5-fix-mono-dis-makefile-am-when-without-sgen.patch"
-
-	# TODO: update patch
-	# Fix atomic_add_i4 support for 32-bit ppc
-	# https://github.com/mono/mono/compare/f967c79926900343f399c75624deedaba460e544^...8f379f0c8f98493180b508b9e68b9aa76c0c5bdf
-	#epatch "${FILESDIR}/${PN}-4.0.2.5-fix-ppc-atomic-add-i4.patch"
-
-	# TODO: update patch
-	#epatch "${FILESDIR}/systemweb3.patch"
-	#epatch "${FILESDIR}/fix-for-GitExtensions-issue-2710-another-resolution.patch"
-	#epatch "${FILESDIR}/fix-for-bug36724.patch"
-
-	epatch "${FILESDIR}/${P}-x86_32.patch"
-
-	default
-	#eapply_user
-	multilib_copy_sources
-}
-
-multilib_src_configure() {
-	local myeconfargs=(
-		$(use_with xen xen_opt)
-		--without-ikvm-native
-		--disable-dtrace
-		$(use_with doc mcs-docs)
-		$(use_enable nls)
-	)
-
-	econf "${myeconfargs[@]}"
-}
-
-multilib_src_test() {
-	cd mcs/tests || die
-	emake check
-}
-
-multilib_src_install() {
-	default_src_install
-
-	# Remove files not respecting LDFLAGS and that we are not supposed to provide, see Fedora
-	# mono.spec and http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
-	# for reference.
-	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
-	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
-}

diff --git a/dev-lang/mono/mono-4.8.0.524.ebuild b/dev-lang/mono/mono-4.8.0.524.ebuild
deleted file mode 100644
index c322410123f..00000000000
--- a/dev-lang/mono/mono-4.8.0.524.ebuild
+++ /dev/null
@@ -1,109 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit autotools eutils linux-info mono-env flag-o-matic pax-utils versionator multilib-minimal
-
-DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
-HOMEPAGE="https://www.mono-project.com/Main_Page"
-SRC_URI="https://download.mono-project.com/sources/${PN}/${P}.tar.bz2"
-
-LICENSE="MIT LGPL-2.1 GPL-2 BSD-4 NPL-1.1 Ms-PL GPL-2-with-linking-exception IDPL"
-SLOT="0"
-
-KEYWORDS="amd64 ~arm arm64 ppc ~ppc64 x86 ~amd64-linux"
-
-IUSE="nls minimal pax_kernel xen doc"
-
-COMMONDEPEND="
-	!minimal? ( >=dev-dotnet/libgdiplus-2.10 )
-	ia64? ( sys-libs/libunwind )
-	nls? ( sys-devel/gettext )
-"
-RDEPEND="${COMMONDEPEND}
-	|| ( www-client/links www-client/lynx )
-"
-DEPEND="${COMMONDEPEND}
-	sys-devel/bc
-	virtual/yacc
-	pax_kernel? ( sys-apps/elfix )
-	dev-util/cmake
-"
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-4.8.0.371-makedev.patch
-	"${FILESDIR}"/${PN}-4.8.0.371-x86_32.patch
-)
-
-S="${WORKDIR}/${PN}-$(get_version_component_range 1-3)"
-
-pkg_pretend() {
-	linux-info_pkg_setup
-	if use kernel_linux; then
-		if linux_config_exists; then
-			linux_chkconfig_builtin SYSVIPC || die "SYSVIPC not enabled in the kernel"
-		else
-			# https://github.com/gentoo/gentoo/blob/f200e625bda8de696a28338318c9005b69e34710/eclass/linux-info.eclass#L686
-			ewarn "kernel config not found"
-			ewarn "If CONFIG_SYSVIPC is not set in your kernel .config, mono will hang while compiling."
-			ewarn "See http://bugs.gentoo.org/261869 for more info."
-		fi
-	fi
-}
-
-pkg_setup() {
-	mono-env_pkg_setup
-}
-
-src_prepare() {
-	# we need to sed in the paxctl-ng -mr in the runtime/mono-wrapper.in so it don't
-	# get killed in the build proces when MPROTECT is enable. #286280
-	# RANDMMAP kill the build proces to #347365
-	# use paxmark.sh to get PT/XT logic #532244
-	if use pax_kernel ; then
-		ewarn "We are disabling MPROTECT on the mono binary."
-
-		# issue 9 : https://github.com/Heather/gentoo-dotnet/issues/9
-		sed '/exec "/ i\paxmark.sh -mr "$r/@mono_runtime@"' -i "${S}"/runtime/mono-wrapper.in || die "Failed to sed mono-wrapper.in"
-	fi
-
-	# mono build system can fail otherwise
-	strip-flags
-
-	#TODO: resolve problem with newer binutils
-	#bug: https://bugs.gentoo.org/show_bug.cgi?id=600664
-	#append-flags -fPIC
-
-	default
-	# PATCHES contains configure.ac patch
-	eautoreconf
-	multilib_copy_sources
-}
-
-multilib_src_configure() {
-	local myeconfargs=(
-		$(use_with xen xen_opt)
-		--without-ikvm-native
-		--disable-dtrace
-		$(use_with doc mcs-docs)
-		$(use_enable nls)
-	)
-
-	econf "${myeconfargs[@]}"
-}
-
-multilib_src_test() {
-	cd mcs/tests || die
-	emake check
-}
-
-multilib_src_install() {
-	default_src_install
-
-	# Remove files not respecting LDFLAGS and that we are not supposed to provide, see Fedora
-	# mono.spec and http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
-	# for reference.
-	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
-	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
-}

diff --git a/dev-lang/mono/mono-5.14.0.177.ebuild b/dev-lang/mono/mono-5.14.0.177.ebuild
deleted file mode 100644
index 2c4705fb394..00000000000
--- a/dev-lang/mono/mono-5.14.0.177.ebuild
+++ /dev/null
@@ -1,107 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux"
-RESTRICT="mirror"
-SLOT="0"
-
-IUSE="nls minimal pax_kernel xen doc"
-
-inherit autotools eutils linux-info mono-env flag-o-matic pax-utils multilib-minimal
-
-DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
-HOMEPAGE="http://www.mono-project.com/Main_Page"
-LICENSE="MIT LGPL-2.1 GPL-2 BSD-4 NPL-1.1 Ms-PL GPL-2-with-linking-exception IDPL"
-
-SRC_URI="http://download.mono-project.com/sources/mono/${P}.tar.bz2"
-
-COMMONDEPEND="
-	!minimal? ( >=dev-dotnet/libgdiplus-2.10 )
-	ia64? ( sys-libs/libunwind )
-	nls? ( sys-devel/gettext )
-"
-RDEPEND="${COMMONDEPEND}
-	|| ( www-client/links www-client/lynx )
-"
-DEPEND="${COMMONDEPEND}
-	sys-devel/bc
-	virtual/yacc
-	pax_kernel? ( sys-apps/elfix )
-	dev-util/cmake
-"
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-5.0.1.1-x86_32.patch
-	"${FILESDIR}"/mono-5.12-try-catch.patch
-)
-
-pkg_pretend() {
-	linux-info_pkg_setup
-	if use kernel_linux; then
-		if linux_config_exists; then
-			linux_chkconfig_builtin SYSVIPC || die "SYSVIPC not enabled in the kernel"
-		else
-			# https://github.com/gentoo/gentoo/blob/f200e625bda8de696a28338318c9005b69e34710/eclass/linux-info.eclass#L686
-			ewarn "kernel config not found"
-			ewarn "If CONFIG_SYSVIPC is not set in your kernel .config, mono will hang while compiling."
-			ewarn "See https://bugs.gentoo.org/261869 for more info."
-		fi
-	fi
-}
-
-pkg_setup() {
-	mono-env_pkg_setup
-}
-
-src_prepare() {
-	# we need to sed in the paxctl-ng -mr in the runtime/mono-wrapper.in so it don't
-	# get killed in the build proces when MPROTECT is enable. #286280
-	# RANDMMAP kill the build proces to #347365
-	# use paxmark.sh to get PT/XT logic #532244
-	if use pax_kernel ; then
-		ewarn "We are disabling MPROTECT on the mono binary."
-
-		# issue 9 : https://github.com/Heather/gentoo-dotnet/issues/9
-		sed '/exec "/ i\paxmark.sh -mr "$r/@mono_runtime@"' -i "${S}"/runtime/mono-wrapper.in || die "Failed to sed mono-wrapper.in"
-	fi
-
-	# mono build system can fail otherwise
-	strip-flags
-
-	#TODO: resolve problem with newer binutils
-	#bug: https://bugs.gentoo.org/show_bug.cgi?id=600664
-	#append-flags -fPIC
-
-	default
-	# PATCHES contains configure.ac patch
-	eautoreconf
-	multilib_copy_sources
-}
-
-multilib_src_configure() {
-	local myeconfargs=(
-		$(use_with xen xen_opt)
-		--without-ikvm-native
-		--disable-dtrace
-		$(use_with doc mcs-docs)
-		$(use_enable nls)
-	)
-
-	econf "${myeconfargs[@]}"
-}
-
-multilib_src_test() {
-	cd mcs/tests || die
-	emake check
-}
-
-multilib_src_install() {
-	default_src_install
-
-	# Remove files not respecting LDFLAGS and that we are not supposed to provide, see Fedora
-	# mono.spec and http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
-	# for reference.
-	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
-	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
-}

diff --git a/dev-lang/mono/mono-5.16.0.220.ebuild b/dev-lang/mono/mono-5.16.0.220.ebuild
deleted file mode 100644
index bfd37223543..00000000000
--- a/dev-lang/mono/mono-5.16.0.220.ebuild
+++ /dev/null
@@ -1,108 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux"
-
-SLOT="0"
-
-IUSE="nls minimal pax_kernel xen doc"
-
-inherit autotools eutils linux-info mono-env flag-o-matic pax-utils multilib-minimal
-
-DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
-HOMEPAGE="http://www.mono-project.com/Main_Page"
-LICENSE="MIT LGPL-2.1 GPL-2 BSD-4 NPL-1.1 Ms-PL GPL-2-with-linking-exception IDPL"
-
-SRC_URI="http://download.mono-project.com/sources/mono/${P}.tar.bz2"
-
-COMMONDEPEND="
-	!minimal? ( >=dev-dotnet/libgdiplus-2.10 )
-	ia64? ( sys-libs/libunwind )
-	nls? ( sys-devel/gettext )
-"
-RDEPEND="${COMMONDEPEND}
-	|| ( www-client/links www-client/lynx )
-"
-DEPEND="${COMMONDEPEND}
-	sys-devel/bc
-	virtual/yacc
-	pax_kernel? ( sys-apps/elfix )
-	dev-util/cmake
-"
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-5.0.1.1-x86_32.patch
-	"${FILESDIR}"/mono-5.12-try-catch.patch
-)
-
-pkg_pretend() {
-	linux-info_pkg_setup
-	if use kernel_linux; then
-		if linux_config_exists; then
-			linux_chkconfig_builtin SYSVIPC || die "SYSVIPC not enabled in the kernel"
-		else
-			# https://github.com/gentoo/gentoo/blob/f200e625bda8de696a28338318c9005b69e34710/eclass/linux-info.eclass#L686
-			ewarn "kernel config not found"
-			ewarn "If CONFIG_SYSVIPC is not set in your kernel .config, mono will hang while compiling."
-			ewarn "See https://bugs.gentoo.org/261869 for more info."
-		fi
-	fi
-}
-
-pkg_setup() {
-	mono-env_pkg_setup
-}
-
-src_prepare() {
-	# we need to sed in the paxctl-ng -mr in the runtime/mono-wrapper.in so it don't
-	# get killed in the build proces when MPROTECT is enable. #286280
-	# RANDMMAP kill the build proces to #347365
-	# use paxmark.sh to get PT/XT logic #532244
-	if use pax_kernel ; then
-		ewarn "We are disabling MPROTECT on the mono binary."
-
-		# issue 9 : https://github.com/Heather/gentoo-dotnet/issues/9
-		sed '/exec "/ i\paxmark.sh -mr "$r/@mono_runtime@"' -i "${S}"/runtime/mono-wrapper.in || die "Failed to sed mono-wrapper.in"
-	fi
-
-	# mono build system can fail otherwise
-	strip-flags
-
-	# prebuilt files were left in tarball by accident:
-	rm -rv external/corefx/src/Native/Unix/System.Native/.libs || die
-	rm -rv external/corefx/src/Native/Unix/System.Native/*.{o,lo} || die
-
-	default
-	# PATCHES contains configure.ac patch
-	eautoreconf
-	multilib_copy_sources
-}
-
-multilib_src_configure() {
-	local myeconfargs=(
-		$(use_with xen xen_opt)
-		--without-ikvm-native
-		--disable-dtrace
-		$(use_with doc mcs-docs)
-		$(use_enable nls)
-	)
-
-	econf "${myeconfargs[@]}"
-}
-
-multilib_src_test() {
-	cd mcs/tests || die
-	emake check
-}
-
-multilib_src_install() {
-	default_src_install
-
-	# Remove files not respecting LDFLAGS and that we are not supposed to provide, see Fedora
-	# mono.spec and http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
-	# for reference.
-	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
-	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
-}

diff --git a/dev-lang/mono/mono-5.18.1.0.ebuild b/dev-lang/mono/mono-5.18.1.0.ebuild
deleted file mode 100644
index a7c4f35b9ad..00000000000
--- a/dev-lang/mono/mono-5.18.1.0.ebuild
+++ /dev/null
@@ -1,103 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux"
-
-SLOT="0"
-
-IUSE="nls minimal pax_kernel xen doc"
-
-inherit autotools eutils linux-info mono-env flag-o-matic pax-utils multilib-minimal
-
-DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
-HOMEPAGE="http://www.mono-project.com/Main_Page"
-LICENSE="MIT LGPL-2.1 GPL-2 BSD-4 NPL-1.1 Ms-PL GPL-2-with-linking-exception IDPL"
-
-SRC_URI="http://download.mono-project.com/sources/mono/${P}.tar.bz2"
-
-COMMONDEPEND="
-	!minimal? ( >=dev-dotnet/libgdiplus-2.10 )
-	ia64? ( sys-libs/libunwind )
-	nls? ( sys-devel/gettext )
-"
-RDEPEND="${COMMONDEPEND}"
-DEPEND="${COMMONDEPEND}
-	sys-devel/bc
-	virtual/yacc
-	pax_kernel? ( sys-apps/elfix )
-	dev-util/cmake
-"
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-5.0.1.1-x86_32.patch
-	"${FILESDIR}"/mono-5.12-try-catch.patch
-)
-
-pkg_pretend() {
-	linux-info_pkg_setup
-	if use kernel_linux; then
-		if linux_config_exists; then
-			linux_chkconfig_builtin SYSVIPC || die "SYSVIPC not enabled in the kernel"
-		else
-			# https://github.com/gentoo/gentoo/blob/f200e625bda8de696a28338318c9005b69e34710/eclass/linux-info.eclass#L686
-			ewarn "kernel config not found"
-			ewarn "If CONFIG_SYSVIPC is not set in your kernel .config, mono will hang while compiling."
-			ewarn "See https://bugs.gentoo.org/261869 for more info."
-		fi
-	fi
-}
-
-pkg_setup() {
-	mono-env_pkg_setup
-}
-
-src_prepare() {
-	# we need to sed in the paxctl-ng -mr in the runtime/mono-wrapper.in so it don't
-	# get killed in the build proces when MPROTECT is enable. #286280
-	# RANDMMAP kill the build proces to #347365
-	# use paxmark.sh to get PT/XT logic #532244
-	if use pax_kernel ; then
-		ewarn "We are disabling MPROTECT on the mono binary."
-
-		# issue 9 : https://github.com/Heather/gentoo-dotnet/issues/9
-		sed '/exec "/ i\paxmark.sh -mr "$r/@mono_runtime@"' -i "${S}"/runtime/mono-wrapper.in || die "Failed to sed mono-wrapper.in"
-	fi
-
-	# mono build system can fail otherwise
-	strip-flags
-
-	default
-
-	# PATCHES contains configure.ac patch
-	eautoreconf
-	multilib_copy_sources
-}
-
-multilib_src_configure() {
-	local myeconfargs=(
-		$(use_with xen xen_opt)
-		--without-ikvm-native
-		--disable-dtrace
-		$(use_with doc mcs-docs)
-		$(use_enable nls)
-	)
-
-	econf "${myeconfargs[@]}"
-}
-
-multilib_src_test() {
-	cd mcs/tests || die
-	emake check
-}
-
-multilib_src_install() {
-	default_src_install
-
-	# Remove files not respecting LDFLAGS and that we are not supposed to provide, see Fedora
-	# mono.spec and http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
-	# for reference.
-	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
-	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
-}

diff --git a/dev-lang/mono/mono-5.20.1.19-r1.ebuild b/dev-lang/mono/mono-5.20.1.19-r1.ebuild
deleted file mode 100644
index 396a9f30519..00000000000
--- a/dev-lang/mono/mono-5.20.1.19-r1.ebuild
+++ /dev/null
@@ -1,109 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux"
-
-SLOT="0"
-
-IUSE="nls minimal pax_kernel xen doc"
-
-inherit autotools eutils linux-info mono-env flag-o-matic pax-utils multilib-minimal
-
-DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
-HOMEPAGE="http://www.mono-project.com/Main_Page"
-LICENSE="MIT LGPL-2.1 GPL-2 BSD-4 NPL-1.1 Ms-PL GPL-2-with-linking-exception IDPL"
-
-SRC_URI="http://download.mono-project.com/sources/mono/${P}.tar.bz2"
-
-#Note: mono works incorrect with older versions of libgdiplus
-#details on dotnet overlay issue: https://github.com/gentoo/dotnet/issues/429
-COMMONDEPEND="
-	!minimal? ( >=dev-dotnet/libgdiplus-5.6.1 )
-	ia64? ( sys-libs/libunwind )
-	nls? ( sys-devel/gettext )
-"
-RDEPEND="${COMMONDEPEND}"
-DEPEND="${COMMONDEPEND}
-	sys-devel/bc
-	virtual/yacc
-	pax_kernel? ( sys-apps/elfix )
-	dev-util/cmake
-"
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-5.0.1.1-x86_32.patch
-	"${FILESDIR}"/mono-5.12-try-catch.patch
-)
-
-pkg_pretend() {
-	linux-info_pkg_setup
-	if use kernel_linux; then
-		if linux_config_exists; then
-			linux_chkconfig_builtin SYSVIPC || die "SYSVIPC not enabled in the kernel"
-		else
-			# https://github.com/gentoo/gentoo/blob/f200e625bda8de696a28338318c9005b69e34710/eclass/linux-info.eclass#L686
-			ewarn "kernel config not found"
-			ewarn "If CONFIG_SYSVIPC is not set in your kernel .config, mono will hang while compiling."
-			ewarn "See https://bugs.gentoo.org/261869 for more info."
-		fi
-	fi
-}
-
-pkg_setup() {
-	mono-env_pkg_setup
-}
-
-src_prepare() {
-	# we need to sed in the paxctl-ng -mr in the runtime/mono-wrapper.in so it don't
-	# get killed in the build proces when MPROTECT is enable. #286280
-	# RANDMMAP kill the build proces to #347365
-	# use paxmark.sh to get PT/XT logic #532244
-	if use pax_kernel ; then
-		ewarn "We are disabling MPROTECT on the mono binary."
-
-		# issue 9 : https://github.com/Heather/gentoo-dotnet/issues/9
-		sed '/exec "/ i\paxmark.sh -mr "$r/@mono_runtime@"' -i "${S}"/runtime/mono-wrapper.in || die "Failed to sed mono-wrapper.in"
-	fi
-
-	# mono build system can fail otherwise
-	strip-flags
-
-	# prebuilt files were left in tarball by accident:
-	rm -rv external/corefx/src/Native/Unix/System.Native/.libs || die
-	rm -rv external/corefx/src/Native/Unix/System.Native/*.{o,lo} || die
-
-	default
-
-	# PATCHES contains configure.ac patch
-	eautoreconf
-	multilib_copy_sources
-}
-
-multilib_src_configure() {
-	local myeconfargs=(
-		$(use_with xen xen_opt)
-		--without-ikvm-native
-		--disable-dtrace
-		$(use_with doc mcs-docs)
-		$(use_enable nls)
-	)
-
-	econf "${myeconfargs[@]}"
-}
-
-multilib_src_test() {
-	cd mcs/tests || die
-	emake check
-}
-
-multilib_src_install() {
-	default_src_install
-
-	# Remove files not respecting LDFLAGS and that we are not supposed to provide, see Fedora
-	# mono.spec and http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
-	# for reference.
-	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
-	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
-}

diff --git a/dev-lang/mono/mono-6.0.0.334.ebuild b/dev-lang/mono/mono-6.0.0.334.ebuild
deleted file mode 100644
index 0459e60b1b0..00000000000
--- a/dev-lang/mono/mono-6.0.0.334.ebuild
+++ /dev/null
@@ -1,105 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux"
-
-SLOT="0"
-
-IUSE="nls minimal pax_kernel xen doc"
-
-inherit autotools eutils linux-info mono-env flag-o-matic pax-utils multilib-minimal
-
-DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
-HOMEPAGE="http://www.mono-project.com/Main_Page"
-LICENSE="MIT LGPL-2.1 GPL-2 BSD-4 NPL-1.1 Ms-PL GPL-2-with-linking-exception IDPL"
-
-SRC_URI="http://download.mono-project.com/sources/mono/${P}.tar.xz"
-
-#Note: mono works incorrect with older versions of libgdiplus
-#details on dotnet overlay issue: https://github.com/gentoo/dotnet/issues/429
-COMMONDEPEND="
-	!minimal? ( >=dev-dotnet/libgdiplus-5.6.1 )
-	ia64? ( sys-libs/libunwind )
-	nls? ( sys-devel/gettext )
-"
-RDEPEND="${COMMONDEPEND}"
-DEPEND="${COMMONDEPEND}
-	sys-devel/bc
-	virtual/yacc
-	pax_kernel? ( sys-apps/elfix )
-	dev-util/cmake
-"
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-5.0.1.1-x86_32.patch
-	"${FILESDIR}"/mono-5.12-try-catch.patch
-)
-
-pkg_pretend() {
-	linux-info_pkg_setup
-	if use kernel_linux; then
-		if linux_config_exists; then
-			linux_chkconfig_builtin SYSVIPC || die "SYSVIPC not enabled in the kernel"
-		else
-			# https://github.com/gentoo/gentoo/blob/f200e625bda8de696a28338318c9005b69e34710/eclass/linux-info.eclass#L686
-			ewarn "kernel config not found"
-			ewarn "If CONFIG_SYSVIPC is not set in your kernel .config, mono will hang while compiling."
-			ewarn "See https://bugs.gentoo.org/261869 for more info."
-		fi
-	fi
-}
-
-pkg_setup() {
-	mono-env_pkg_setup
-}
-
-src_prepare() {
-	# we need to sed in the paxctl-ng -mr in the runtime/mono-wrapper.in so it don't
-	# get killed in the build proces when MPROTECT is enable. #286280
-	# RANDMMAP kill the build proces to #347365
-	# use paxmark.sh to get PT/XT logic #532244
-	if use pax_kernel ; then
-		ewarn "We are disabling MPROTECT on the mono binary."
-
-		# issue 9 : https://github.com/Heather/gentoo-dotnet/issues/9
-		sed '/exec "/ i\paxmark.sh -mr "$r/@mono_runtime@"' -i "${S}"/runtime/mono-wrapper.in || die "Failed to sed mono-wrapper.in"
-	fi
-
-	# mono build system can fail otherwise
-	strip-flags
-
-	default
-
-	# PATCHES contains configure.ac patch
-	eautoreconf
-	multilib_copy_sources
-}
-
-multilib_src_configure() {
-	local myeconfargs=(
-		$(use_with xen xen_opt)
-		--without-ikvm-native
-		--disable-dtrace
-		$(use_with doc mcs-docs)
-		$(use_enable nls)
-	)
-
-	econf "${myeconfargs[@]}"
-}
-
-multilib_src_test() {
-	cd mcs/tests || die
-	emake check
-}
-
-multilib_src_install() {
-	default_src_install
-
-	# Remove files not respecting LDFLAGS and that we are not supposed to provide, see Fedora
-	# mono.spec and http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
-	# for reference.
-	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
-	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
-}

diff --git a/dev-lang/mono/mono-6.4.0.198.ebuild b/dev-lang/mono/mono-6.4.0.198.ebuild
deleted file mode 100644
index 6b165c57333..00000000000
--- a/dev-lang/mono/mono-6.4.0.198.ebuild
+++ /dev/null
@@ -1,105 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux"
-
-SLOT="0"
-
-IUSE="nls minimal pax_kernel xen doc"
-
-inherit autotools eutils linux-info mono-env flag-o-matic pax-utils multilib-minimal
-
-DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
-HOMEPAGE="http://www.mono-project.com/Main_Page"
-LICENSE="MIT LGPL-2.1 GPL-2 BSD-4 NPL-1.1 Ms-PL GPL-2-with-linking-exception IDPL"
-
-SRC_URI="http://download.mono-project.com/sources/mono/${P}.tar.xz"
-
-#Note: mono works incorrect with older versions of libgdiplus
-#details on dotnet overlay issue: https://github.com/gentoo/dotnet/issues/429
-COMMONDEPEND="
-	!minimal? ( >=dev-dotnet/libgdiplus-6.0.2 )
-	ia64? ( sys-libs/libunwind )
-	nls? ( sys-devel/gettext )
-"
-RDEPEND="${COMMONDEPEND}"
-DEPEND="${COMMONDEPEND}
-	sys-devel/bc
-	virtual/yacc
-	pax_kernel? ( sys-apps/elfix )
-	dev-util/cmake
-"
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-5.0.1.1-x86_32.patch
-	"${FILESDIR}"/mono-5.12-try-catch.patch
-)
-
-pkg_pretend() {
-	linux-info_pkg_setup
-	if use kernel_linux; then
-		if linux_config_exists; then
-			linux_chkconfig_builtin SYSVIPC || die "SYSVIPC not enabled in the kernel"
-		else
-			# https://github.com/gentoo/gentoo/blob/f200e625bda8de696a28338318c9005b69e34710/eclass/linux-info.eclass#L686
-			ewarn "kernel config not found"
-			ewarn "If CONFIG_SYSVIPC is not set in your kernel .config, mono will hang while compiling."
-			ewarn "See https://bugs.gentoo.org/261869 for more info."
-		fi
-	fi
-}
-
-pkg_setup() {
-	mono-env_pkg_setup
-}
-
-src_prepare() {
-	# we need to sed in the paxctl-ng -mr in the runtime/mono-wrapper.in so it don't
-	# get killed in the build proces when MPROTECT is enable. #286280
-	# RANDMMAP kill the build proces to #347365
-	# use paxmark.sh to get PT/XT logic #532244
-	if use pax_kernel ; then
-		ewarn "We are disabling MPROTECT on the mono binary."
-
-		# issue 9 : https://github.com/Heather/gentoo-dotnet/issues/9
-		sed '/exec "/ i\paxmark.sh -mr "$r/@mono_runtime@"' -i "${S}"/runtime/mono-wrapper.in || die "Failed to sed mono-wrapper.in"
-	fi
-
-	# mono build system can fail otherwise
-	strip-flags
-
-	default
-
-	# PATCHES contains configure.ac patch
-	eautoreconf
-	multilib_copy_sources
-}
-
-multilib_src_configure() {
-	local myeconfargs=(
-		$(use_with xen xen_opt)
-		--without-ikvm-native
-		--disable-dtrace
-		$(use_with doc mcs-docs)
-		$(use_enable nls)
-	)
-
-	econf "${myeconfargs[@]}"
-}
-
-multilib_src_test() {
-	cd mcs/tests || die
-	emake check
-}
-
-multilib_src_install() {
-	default_src_install
-
-	# Remove files not respecting LDFLAGS and that we are not supposed to provide, see Fedora
-	# mono.spec and http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
-	# for reference.
-	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
-	rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
-}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2020-05-16 21:28 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-05-16 21:28 [gentoo-commits] repo/gentoo:master commit in: dev-lang/mono/, dev-lang/mono/files/ David Seifert
  -- strict thread matches above, loose matches on Subject: below --
2017-12-20 10:49 Mikhail Pukhlikov
2015-12-28  8:00 Heather Cynede
2015-12-09  8:47 Heather Cynede

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox